function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import { useSetState } from 'ahooks';
import { Col, Row } from 'antd';
import dayjs from 'dayjs';
import { VmFactor, VmWrapper } from "../../../_components";
import useSettings from "../../../_hooks/useSettings";
import { BasicService } from "../../api";
import CollectRecord from "../BaseInfo/CollectRecord";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
var Collection = function Collection(_ref) {
  var id = _ref.id,
    info = _ref.info;
  var _useSettings = useSettings(),
    isDark = _useSettings.isDark;
  var _useSetState = useSetState({
      startDate: dayjs().subtract(30, 'day'),
      endDate: dayjs()
    }),
    _useSetState2 = _slicedToArray(_useSetState, 2),
    state = _useSetState2[0],
    setState = _useSetState2[1];
  var startTime = dayjs(state.startDate).format('YYYY-MM-DD 00:00:00');
  var endTime = dayjs(state.endDate).format('YYYY-MM-DD 23:59:59');
  var props = {
    startTime: startTime,
    endTime: endTime,
    id: id,
    garbageType: info.garbageType
  };
  var statisticsData = BasicService.useStatistics(props);
  var filterChange = function filterChange(dateValue) {
    setState({
      startDate: dateValue[0],
      endDate: dateValue[1]
    });
  };
  var list = [{
    name: '收运桶数',
    unit: '桶',
    value: (statisticsData === null || statisticsData === void 0 ? void 0 : statisticsData.trashNums) || 0,
    img: require("../../imgs/syts".concat(isDark ? '_dark' : '', ".png")),
    fontType: 'green'
  }, {
    name: '收运重量',
    unit: (statisticsData === null || statisticsData === void 0 ? void 0 : statisticsData.collectWeightKg) > 10000 ? '吨' : 'kg',
    value: (statisticsData === null || statisticsData === void 0 ? void 0 : statisticsData.collectWeightKg) > 10000 ? ((statisticsData.collectWeightKg || 0) / 1000).toFixed(2) : statisticsData === null || statisticsData === void 0 ? void 0 : statisticsData.collectWeightKg,
    img: require("../../imgs/syzl".concat(isDark ? '_dark' : '', ".png")),
    fontType: 'blue'
  }, {
    name: '进厂量',
    unit: (statisticsData === null || statisticsData === void 0 ? void 0 : statisticsData.netWeightTotal) > 10000 ? '吨' : 'kg',
    value: (statisticsData === null || statisticsData === void 0 ? void 0 : statisticsData.netWeightTotal) > 10000 ? ((statisticsData.netWeightTotal || 0) / 1000).toFixed(2) : statisticsData === null || statisticsData === void 0 ? void 0 : statisticsData.netWeightTotal,
    img: require("../../imgs/jcl".concat(isDark ? '_dark' : '', ".png")),
    fontType: 'yellow'
  }];
  return /*#__PURE__*/_jsxs(VmWrapper, {
    title: '收运分析',
    filterType: "rangePicker",
    dateValue: [state.startDate, state.endDate],
    filterChange: filterChange,
    disabledDate: function disabledDate(current) {
      return current && current > dayjs().endOf('day');
    },
    children: [/*#__PURE__*/_jsx(Row, {
      align: 'middle',
      justify: 'center',
      style: {
        padding: '0 200px 18px'
      },
      children: list.map(function (item) {
        return /*#__PURE__*/_jsx(Col, {
          span: 8,
          children: /*#__PURE__*/_jsx(VmFactor, _objectSpread({}, item))
        }, item.name);
      })
    }), /*#__PURE__*/_jsx("div", {
      style: {
        height: 'calc(100% - 72px)'
      },
      children: /*#__PURE__*/_jsx(CollectRecord, _objectSpread({}, props))
    })]
  });
};
export default Collection;